Bug 1256674 - The cursor inside the VM and outside the VM are not moving together for Win 7 or Win 2008.
The cursor inside the VM and outside the VM are not moving together for Win ...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.4.0
Unspecified Unspecified
medium Severity high
: GA
: 5.5.0
Assigned To: Martin Povolny
Ramesh A
:
: 1259755 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-25 04:53 EDT by Chen
Modified: 2015-12-08 08:28 EST (History)
10 users (show)

See Also:
Fixed In Version: 5.5.0.3
Doc Type: Bug Fix
Doc Text:
Previously, when using the remote console, there were two mouse cursors, one inside and the other outside of the VM moving at different rates. This was due to the styling in HTML5 console canvases. Disabling styling for HTML5 console canvases has resolved the issue as the cursors now move together at the same rate.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:28:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The picture showed that there are two cursors in the same VM and they are not moving at the same pace. (2.67 MB, image/jpeg)
2015-08-25 04:53 EDT, Chen
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1612533 None None None Never

  None (edit)
Description Chen 2015-08-25 04:53:52 EDT
Created attachment 1066787 [details]
The picture showed that there are two cursors in the same VM and they are not moving at the same pace.

Description of problem:

The cursor inside the VM and outside the VM are not moving together for  Win 7 or Win 2008.

Version-Release number of selected component (if applicable):

RHEVM-3.5
CFME 5.4
Spice console
Chrome Browser

How reproducible:

100%

Steps to Reproduce:
1. Open a console of Windows 2008 R2 in CFME WebUI 

Actual results:

The cursor inside the VM and the cursor outside the VM are not sync which means they are not moving together. 

Expected results:

Both the cursors should be moving at the same pace.

Additional info:
Comment 3 Dave Johnson 2015-09-03 12:51:20 EDT
*** Bug 1259755 has been marked as a duplicate of this bug. ***
Comment 9 CFME Bot 2015-09-18 12:08:51 EDT
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/a18b4b1cdb32e2cb71809e5b9380fe019a926ea9

commit a18b4b1cdb32e2cb71809e5b9380fe019a926ea9
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Fri Sep 18 09:16:00 2015 +0200
Commit:     Martin Povolny <mpovolny@redhat.com>
CommitDate: Fri Sep 18 10:36:51 2015 +0200

    Disable styling for HTML5 console canvases.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1260640
    https://bugzilla.redhat.com/show_bug.cgi?id=1256674

 app/assets/stylesheets/consoles.css | 2 --
 1 file changed, 2 deletions(-)
Comment 10 CFME Bot 2015-09-23 19:04:59 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=a0d00b712449d232b0bc5062879acb15fc50c2ae

commit a0d00b712449d232b0bc5062879acb15fc50c2ae
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Fri Sep 18 09:16:00 2015 +0200
Commit:     Martin Povolny <mpovolny@redhat.com>
CommitDate: Mon Sep 21 14:29:12 2015 +0200

    Disable styling for HTML5 console canvases.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1260640
    https://bugzilla.redhat.com/show_bug.cgi?id=1256674

 vmdb/app/assets/stylesheets/consoles.less | 2 --
 1 file changed, 2 deletions(-)
Comment 11 Ramesh A 2015-11-06 07:39:09 EST
Failed verification.  Verified in 5.5.0.8-beta1.4.20151027164951_4ab7fea

Fails in:
=========
RHEVM 3.5 on Spice console (vm when running on spice console)

Works fine in:
==============
RHEVM 3.5 on VNC console (same vm running on vnc console)
Vsphere 55
Comment 12 Martin Povolny 2015-11-10 06:56:53 EST
After making sure that the fix is in the build and testing in FF and Chrome.

I have to say that what you are reporting is a completely new issue.

In the original issue there was a difference between the cursor positions given by different sizes of the screen and the canvas in the HTML5 client.

This is correctly fixed and is no longer an issue.

What I see here seems to be completely different problem.

The cursor updates chaotically, there's no functional relation between the cursor positions.

The difference between the cursors changes depending how fast you move the curror.

It seems that some mouse cursor movement events are lost (maybe in transmit)?

If you move the cursor quickly enough, you can "catch" the other cursor. And if you then move slow then, the cursors move together.

Also I observe screen update being lost at the same time.

Generally it seems that that we have here some bandwidth problem and the protocol does not recover from it properly from those.

100% surely this is a completely different problem that the original bug and therefor I am closing this BZ once again.

Please, create a new issue. I also suspect that this has nothing to do with the operating system as stated in the name of this BZ -- "...Win 7 or Win 2008".

Next steps:

1) please, investigate this really depends on the guest OS
2) please, investigate if this is bandwidth related
3) create a new BZ with all the details including the guest that you where using and some screenshot.

Regads!
Comment 13 Martin Povolny 2015-11-10 07:49:37 EST
Rananda, please, also try to install the spice-guest-tools as recommended here:

http://www.spice-space.org/docs/manual/#_windows_guest

and let me know if it helps
Comment 16 Ramesh A 2015-11-27 02:28:24 EST
Good to go.  Verified and working fine in 5.5.0.12-rc2.20151124135609_653c0d4.

As per Martin's comment, I did some investigation by checking with spice tools and html5, but the behavior seems to be very much inconsistent.

1. Installed spice tools and checked but does not seems to be giving proper results.  As per Martin's confirmation from RHEV team, this issue can be documented as experimental state.
2. Testing the other types of connection (i.e, VNC on RHEVM3.5, V55 setup) yields proper output with the same bandwidth I am using from my desk.  So it does not seems to be related to bandwidth related.

As it stands from the BZ point of view, this seems to be fixed as per the Martin's comment and working fine from QE prospective.

This being said, moving this issue to verified state.

PS:
===
Needs documentation related to the to the limitation that is coming from the RHEVM and the SPICE HTML5 implementation.  This is not specific to Cloud Forms.
Comment 18 errata-xmlrpc 2015-12-08 08:28:44 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.